# SinglyLinkedListNode | data-structure-typed
Documentation for data-structure-typed

# Class SinglyLinkedListNode<T>

data-structure-typed

#### Author

Tyler Zeng

#### Copyright

Copyright (c) 2022 Tyler Zeng zrwusa@gmail.com

#### License

MIT License

#### Type Parameters

- #### T = number

#### Hierarchy

- SinglyLinkedListNode

- Defined in src/data-structures/linked-list/singly-linked-list.ts:8

#####
Index

### Constructors

constructor

### Properties

_next
_val

### Accessors

next
val

## Constructors

### constructor

- new SinglyLinkedListNode<T>(val): SinglyLinkedListNode <T>

- The constructor function initializes an instance of a class with a given value and sets the next property to null.

  #### Type Parameters

  - #### T = number

  #### Parameters

  - ##### val: T

    The "val" parameter is of type T, which means it can be any data type. It represents the value that will be stored in the node of a linked list.

  #### Returns SinglyLinkedListNode <T>

  - Defined in src/data-structures/linked-list/singly-linked-list.ts:14

## Properties

### `Private` _next

_next: null | SinglyLinkedListNode <T>

- Defined in src/data-structures/linked-list/singly-linked-list.ts:29

### `Private` _val

_val: T

- Defined in src/data-structures/linked-list/singly-linked-list.ts:19

## Accessors

### next

- get next(): null | SinglyLinkedListNode <T>

- #### Returns null | SinglyLinkedListNode <T>

  - Defined in src/data-structures/linked-list/singly-linked-list.ts:31
- set next(value): void

- #### Parameters

  - ##### value: null | SinglyLinkedListNode <T>

  #### Returns void

  - Defined in src/data-structures/linked-list/singly-linked-list.ts:35

### val

- get val(): T

- #### Returns T

  - Defined in src/data-structures/linked-list/singly-linked-list.ts:21
- set val(value): void

- #### Parameters

  - ##### value: T

  #### Returns void

  - Defined in src/data-structures/linked-list/singly-linked-list.ts:25

Generated using TypeDoc